Bug 1241056 (CVE-2015-5381, CVE-2015-5382, CVE-2015-5383)

Summary: CVE-2015-5381 CVE-2015-5382 CVE-2015-5383 roundcubemail: vulnerabilities fixed in 1.1.2 and 1.0.6
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cwickert, fedora, gwync, mhlavink, redhat-bugzilla, tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: roundcubemail 1.1.2, roundcubemail 1.0.6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-31 10:24:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1241057, 1241058    
Bug Blocks:    

Description Martin Prpič 2015-07-08 11:20:23 UTC
Three flaws were reported in roundcubemail:

- XSS vulnerability in _mbox argument

Upstream Issue: http://trac.roundcube.net/ticket/1490417
Commit: http://trac.roundcube.net/changeset/b782815dac/github

- security improvement in contact photo handling

Upstream issue: http://trac.roundcube.net/ticket/1490379
Commits:
1.1: http://trac.roundcube.net/changeset/681ba6fc3/github
1.0: http://trac.roundcube.net/changeset/6ccd4c54b/github

- potential info disclosure from temp directory

Upstream issue: http://trac.roundcube.net/ticket/1490378
Commits:
http://trac.roundcube.net/changeset/012555c1c/github
http://trac.roundcube.net/changeset/16640c7fb0c8/github

CVE request (with additional details):

http://seclists.org/oss-sec/2015/q3/39

External References:

https://roundcube.net/news/2015/06/05/updates-1.1.2-and-1.0.6-released/

Comment 1 Martin Prpič 2015-07-08 11:21:45 UTC
Created roundcubemail tracking bugs for this issue:

Affects: fedora-all [bug 1241057]
Affects: epel-all [bug 1241058]

Comment 2 Fedora Update System 2015-07-27 23:11:13 UTC
roundcubemail-1.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-07-29 01:46:21 UTC
roundcubemail-1.1.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-07-29 01:55:18 UTC
roundcubemail-1.1.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-07-31 18:36:22 UTC
roundcubemail-1.0.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.